GLOBALS_LUA=true

--[[ FILES --]]
DATAPATH  = "../data/"
SOUNDPATH = "../Sounds/"
FONTPATH = "../Fonts/"

NO_SOUND = "Schwing3.ogg"

music_files = {	explore = SOUNDPATH.."The Core.ogg",
				melee 	= SOUNDPATH..NO_SOUND
			  }
sound_files = {	sek_pickup		= SOUNDPATH.."scrape4.ogg",
				fak_pickup		= SOUNDPATH.."spacey_sound19.ogg",
				
				player_defend	= SOUNDPATH.."Block.ogg",
				player_hit		= SOUNDPATH.."Player Hit.ogg",
				player_killed	= SOUNDPATH.."untitled.ogg",
				
				sslash_move			= SOUNDPATH.."Schwing5.ogg",
				sslash_hit_barrier 	= SOUNDPATH.."hit8.ogg",
				
				enemy_shoot		= SOUNDPATH.."hit9.ogg",
				enemy_hit		= SOUNDPATH.."smack3.ogg",
				enemy_killed	= SOUNDPATH.."Enemy Death.ogg",

				boss_shoot		= SOUNDPATH.."hit9.ogg",
				boss_spawn		= SOUNDPATH.."boss_spawn.ogg",
				boss_hit		= SOUNDPATH.."smack3.ogg",
				boss_killed		= SOUNDPATH.."glass2.ogg",
				
				final_obj_appear = SOUNDPATH.."final_obj_appear.ogg"
			  }
avatar_file 		= DATAPATH.."Avatar.obj"
saber_file 			= DATAPATH.."Saber_thumbnegx.obj"
saber_trail			= DATAPATH.."Saber_trail.png"
player_arm_file 	= DATAPATH.."player_arm.obj"
sslash_file 		= DATAPATH.."sslash.obj"
sslash_burn_file	= DATAPATH.."sslash_burn.png"
sslash_expo_file	= DATAPATH.."sslash_expo.png"
custom_cursor_file 	= DATAPATH.."mouse_cursor.png"
enemy_files = { shikigami 	= DATAPATH.."shikigami.obj", 
                tro   		= DATAPATH.."tro.obj",
                super_spiky = DATAPATH.."superspiky.obj",
				lil_spiky	= DATAPATH.."lil_spiky2.obj"
              }
enemy_eyes_file 			= DATAPATH.."eyes.obj"
enemy_shot_staticball_file 	= DATAPATH.."enemyshot_staticball.png"
enemy_shot_cyan_file 		= DATAPATH.."enemyshot_cyan.png"
enemy_shot_purple_file 		= DATAPATH.."enemyshot_purple.png"
enemy_shot_white_file 		= DATAPATH.."enemyshot_white.png"
wall_file = DATAPATH.."wall.obj"
wall_texture_files =  {	green = DATAPATH.."wall_texture_green.jpg",
						blue  = DATAPATH.."wall_texture_blue.jpg",
						red   = DATAPATH.."wall_texture_red.jpg",
						yellow= DATAPATH.."wall_texture_yellow.jpg",
						white = DATAPATH.."wall_texture_white.jpg"
					  }
wall_decor = {	urgamesname_green	= DATAPATH.."wall_decor_urgamesname_green.png",
				urgamesname_blue	= DATAPATH.."wall_decor_urgamesname_blue.png",
				urgamesname_red		= DATAPATH.."wall_decor_urgamesname_red.png",
				urgamesname_yellow	= DATAPATH.."wall_decor_urgamesname_yellow.png",
				urgamesname_white	= DATAPATH.."wall_decor_urgamesname_white.png",
				glow_box			= DATAPATH.."wall_decor_glow_box.png",
				glow_ring			= DATAPATH.."wall_decor_glow_ring.png",
				glow_star			= DATAPATH.."wall_decor_glow_star.png",
			 }
firstaidkit_small_file 	  = DATAPATH.."firstaidkit_small.obj"
firstaidkit_large_file 	  = DATAPATH.."firstaidkit_large.obj"
saberenergykit_small_file = DATAPATH.."saberenergykit_small.obj"
saberenergykit_large_file = DATAPATH.."saberenergykit_large.obj"
A_file = DATAPATH.."A.obj"
C_file = DATAPATH.."C.obj"
E_file = DATAPATH.."E.obj"
G_file = DATAPATH.."G.obj"
I_file = DATAPATH.."I.obj"
L_file = DATAPATH.."L.obj"
M_file = DATAPATH.."M.obj"
N_file = DATAPATH.."N.obj"
R_file = DATAPATH.."R.obj"
S_file = DATAPATH.."S.obj"
T_file = DATAPATH.."T.obj"
U_file = DATAPATH.."U.obj"
Y_file = DATAPATH.."Y.obj"
title_screen_file_normal 	= DATAPATH.."Title_normal.jpg"
title_screen_file_start		= DATAPATH.."Title_start.jpg"
title_screen_file_controls	= DATAPATH.."Title_controls.jpg"
title_screen_file_quit		= DATAPATH.."Title_quit.jpg"
local usekeyboard=false
for i=1,#E.argument do  if E.argument[i]=='-keyboard' then  usekeyboard=true  break  end  end
if usekeyboard then
	control_screen_file_normal	= DATAPATH.."Controls_keyboard_normal.jpg"
	control_screen_file_rollover= DATAPATH.."Controls_keyboard_rollover.jpg"
else
	control_screen_file_normal	= DATAPATH.."Controls_wiimote_normal.jpg"
	control_screen_file_rollover= DATAPATH.."Controls_wiimote_rollover.jpg"
end
pause_overlay_file_normal	= DATAPATH.."pause_overlay_normal.png"
pause_overlay_file_resume	= DATAPATH.."pause_overlay_resume.png"
pause_overlay_file_mainmenu	= DATAPATH.."pause_overlay_mainmenu.png"
pause_overlay_file_quit		= DATAPATH.."pause_overlay_quit.png"
win_overlay_file_normal		= DATAPATH.."win_overlay_normal.jpg"
win_overlay_file_playagain	= DATAPATH.."win_overlay_playagain.jpg"
win_overlay_file_mainmenu	= DATAPATH.."win_overlay_mainmenu.jpg"
win_overlay_file_quit		= DATAPATH.."win_overlay_quit.jpg"
death_overlay_file 			= DATAPATH.."screen_delete.png"
death_overlay_border_file 	= DATAPATH.."screen_delete_outside.png"
gameover_screen_file_normal	  = DATAPATH.."Gameover_normal.jpg"
gameover_screen_file_reenter  = DATAPATH.."Gameover_reenter.jpg"
gameover_screen_file_mainmenu = DATAPATH.."Gameover_mainmenu.jpg"
gameover_screen_file_giveup   = DATAPATH.."Gameover_giveup.jpg"
radar_files = {	map			= DATAPATH.."level_map.png",
				player_pos 	= DATAPATH.."level_map_playerpos.png",
				hide		= DATAPATH.."radar_hide.png"
			  }
final_objective_file= DATAPATH.."Final_Objective.obj"
company_intro_font 	= FONTPATH.."comic.ttf"
load_level_font		= FONTPATH.."comic.ttf"
player_stats_font	= FONTPATH.."comic.ttf"
boot_up_success_message = "(  OK  )"
boot_up_messages = {"Loading Boundaries                                                "..boot_up_success_message,
					"Loading Antiviral Defenses                                    "..boot_up_success_message,
					"!WARNING!: SYSTEM IS UNDER ATTACK",
					"IMMEDIATE DATA DEFENSE IS REQUIRED",
					"SYSTEM HAS BEEN TAKEN OV...",
					"...",
					"Loading Assistance Items                                       "..boot_up_success_message,
					"Loading Hacker Avatar                                           "..boot_up_success_message,
					"Loading Avatar's Weapon                                       "..boot_up_success_message,
					"...",
					"DONE!"
				   }
boot_up_strs = {}

-- screen button bounds
title_start_btn_bounds 	  	= {x={330, 465}, y={282, 320}}
title_controls_btn_bounds 	= {x={287, 513}, y={399, 438}}
title_quit_btn_bounds 	  	= {x={353, 448}, y={518, 557}}
control_menu_btn_bounds  	= {x={300, 500}, y={558, 600}}
pause_resume_btn_bounds		= {x={337, 462}, y={276, 297}}
pause_mainmenu_btn_bounds	= {x={313, 491}, y={361, 383}}
pause_quit_btn_bounds		= {x={362, 439}, y={445, 470}}
win_playagain_btn_bounds	= {x={280, 519}, y={228, 255}}
win_mainmenu_btn_bounds		= {x={286, 514}, y={324, 352}}
win_quit_btn_bounds			= {x={351, 449}, y={420, 448}}
gameover_reenter_btn_bounds = {x={255, 548}, y={271, 300}}
gameover_mainmenu_btn_bounds= {x={298, 505}, y={374, 399}}
gameover_giveup_btn_bounds  = {x={230, 570}, y={474, 499}}

--[[ states --]]
game_state = {preload=0,
			  company_intro_setup=1,
			  company_intro=2,
			  explanation_setup=3,
			  explanation=4,
			  title_intro=5,
			  title_screen_setup=6,
			  title_screen_wait=7,
			  controls_setup=8,
			  controls_wait=9,
			  start=10,
			  load=11,
			  play=12,
			  pause=13,
			  pause_wait=14,
			  death_overlay_fall_setup=15,
			  death_overlay_fall=16,
			  gameover_setup=17,
			  gameover_screen=18,
			  gameover_wait=19,
			  exit=20
			}

--[[ player --]]
walk_thru_walls = false
wall_sprites = true

--[[ tables --]]
walls = {}

--[[ collision categories --]]

cat_player			=      1
cat_player_wall		=      2
cat_player_fak		=      4
cat_player_sek		=      8
cat_player_ckpt 	=	  16
cat_sslash			=     32
cat_enemy			=     64
cat_enemy_frame		=    128
cat_enemy_eye		=    256
cat_bullet			=    512
cat_wall			=   1024
cat_fak				=   2048
cat_sek				=   4096
cat_floor			=   8192
cat_imag_border 	=  16384
cat_comp_letters	=  32768
cat_weapon			=  65536
cat_ckpt			= 131072
cat_sight_shot		= 262144
cat_player_enemy	= 524288
cat_final_obj		=1048576
cat_player_finalobj	=2097152

--[[ key input --]]
input={	x=0,
		y=0,
		turn=0,
		key={	q=false,
				w=false,
				e=false,
				a=false,
				s=false,
				d=false,
				z=false,
				c=false,
				left=false,
				right=false,
				space=false,
				u=false,
				i=false,
				o=false,
				p=false,
				j=false,
				k=false,
				l=false,
				n=false,
				m=false,
				comma=false},
		joy={x=0, y=0},
		num={false, false, false, false, false, false, false, false, false, false},
		curs={	px=0,
				py=0,
				dx=0,
				dy=0,
				click=false}
}

qp=math.sqrt(0.5)
