CALLBACK_LUA = true

function do_keyboard(k, s)
	if k==E.key_q then input.key.q=s
	elseif k==E.key_w then input.key.w=s
	elseif k==E.key_e then input.key.e=s
	elseif k==E.key_u then input.key.u=s
	elseif k==E.key_i then input.key.i=s
	elseif k==E.key_o then input.key.o=s
	elseif k==E.key_p then input.key.p=s
	elseif k==E.key_a then input.key.a=s
	elseif k==E.key_s then input.key.s=s
	elseif k==E.key_d then input.key.d=s
	elseif k==E.key_j then input.key.j=s
	elseif k==E.key_k then input.key.k=s
	elseif k==E.key_l then input.key.l=s
	elseif k==E.key_z then input.key.z=s
	elseif k==E.key_c then input.key.c=s
	elseif k==E.key_n then input.key.n=s
	elseif k==E.key_m then input.key.m=s
	elseif k==E.key_comma then input.key.comma=s
	elseif k==E.key_space then input.key.space=s
	elseif k==E.key_left then input.key.left=s
	elseif k==E.key_right then input.key.right=s
	elseif k==E.key_1 then input.num[1]=s
	elseif k==E.key_2 then input.num[2]=s
	elseif k==E.key_3 then input.num[3]=s
	elseif k==E.key_4 then input.num[4]=s
	elseif k==E.key_5 then input.num[5]=s
	elseif k==E.key_6 then input.num[6]=s
	elseif k==E.key_7 then input.num[7]=s
	elseif k==E.key_8 then input.num[8]=s
	elseif k==E.key_9 then input.num[9]=s
	elseif k==E.key_0 then input.num[0]=s
	end
end

function do_click(b, s)
	if b==1 then input.curs.click=s end
end

function do_point(dx, dy)
	input.curs.dx=dx
	input.curs.dy=dy
	input.curs.px=input.curs.px+dx
	input.curs.py=input.curs.py+dy
	if input.curs.px>800 then input.curs.px=800
	elseif input.curs.px<0 then input.curs.px=0
	end
	if input.curs.py>600 then input.curs.py=600
	elseif input.curs.py<0 then input.curs.py=0
	end
end

lastckpt=-1
function do_contact(entityA, entityB, px, py, pz, nx, ny, nz, d)
	local object, index, value
	if entityA==player.entity.hit_col.entity or entityB==player.entity.hit_col.entity then
		if entityA==player.entity.hit_col.entity then object=entityB else object=entityA end
		for index, value in ipairs(_enemy.sight_shots) do
			if value.entity == object then
				_enemy.change_state(_enemy.enemies[value.id], _enemy.states.chase_player)
				_enemy.set_last_mem_pos(_enemy.enemies[value.id], {player.entity.pivot.pos[1], player.entity.pivot.pos[2], player.entity.pivot.pos[3]})
				return
			end
		end
		for index, value in ipairs(_boss.sight_shots) do
			if value.entity == object then
				_boss.change_state(_boss.states.chase_player)
				_boss.set_last_mem_pos({player.entity.pivot.pos[1], player.entity.pivot.pos[2], player.entity.pivot.pos[3]})
				return
			end
		end
		for index, value in ipairs(_enemy.shots) do
			if value.entity == object then
				player.hit(value.damage)
				value.life = 0
				return
			end
		end
		for index, value in ipairs(_boss.shots) do
			if value.entity == object then
				player.hit(value.damage)
				value.life = 0
				return
			end
		end
	elseif entityA==player.entity.fak_col.entity or entityB==player.entity.fak_col.entity then
		if entityA==player.entity.fak_col.entity then object=entityB else object=entityA end
		for index, value in pairs(_item.firstaidkits) do
			if value.entity==object then
				if player.recover_health(value.recover) then _item.del_firstaidkit(index, value) end
				return
			end
		end
	elseif entityA==player.entity.sek_col.entity or entityB==player.entity.sek_col.entity then
		if entityA==player.entity.sek_col.entity then object=entityB else object=entityA end
		for index, value in pairs(_item.saberenergykits) do
			if value.entity==object then
				player.weapon.inc_energy(value.add_energy)
				_item.del_saberenergykit(index, value)
				return
			end
		end
	elseif entityA==player.entity.wall_col.entity or entityB==player.entity.wall_col.entity then
		if entityA==player.entity.wall_col.entity then object=entityB else object=entityA end
		local vx, vy, vz=E.get_entity_z_vector(object)
		local lx, ly, lz=E.get_entity_position(player.entity.pivot.entity)
		if vz<0.01 and vz>-0.01 then
			if px<lx then player.entity.pivot.pos[1]=lx+d else player.entity.pivot.pos[1]=lx-d end
		else
			if pz<lz then player.entity.pivot.pos[3]=lz+d else player.entity.pivot.pos[3]=lz-d end
		end
	elseif entityA==player.entity.ckpt_col.entity or entityB==player.entity.ckpt_col.entity then
		if entityA==player.entity.ckpt_col.entity then object=entityB else object=entityA end
		for k,v in ipairs(checkpoints) do
			E.set_entity_flags(v.entity, E.entity_flag_hidden, false)
			if object == v.entity then
				lastckpt = k
				E.set_entity_flags(v.entity, E.entity_flag_hidden, true)
			end
		end
	elseif (entityA==player.entity.finalobj_col.entity or entityB==player.entity.finalobj_col.entity) and final_obj_revealed then
		-- YOU WIN
		--E.delete_entity(final_obj)
		final_obj_revealed = false
		game.win_anime_count = 0
		game.state = game.states.win_setup
	else
		for i, v in ipairs(_enemy.shots) do
			if entityA == v.entity or entityB == v.entity then
				for j, u in ipairs(walls) do
					if entityA == u.entity or entityB == u.entity then
						v.life = 0
					end
				end
			end
		end
		for i,v in pairs(_enemy.sight_shots) do
			if entityA == v.entity or entityB == v.entity then
				if _enemy.enemies[v.id].solid.entity==entityA or _enemy.enemies[v.id].solid.entity==entityB then return
				elseif	_enemy.enemies[v.id].pivot.state == _enemy.states.chase_player then
					_enemy.change_state(_enemy.enemies[v.id], _enemy.states.chase_memory)
				end
				v.life = 0
				return
			end
		end
		for i, v in ipairs(_boss.shots) do
			if entityA == v.entity or entityB == v.entity then
				for j, u in ipairs(walls) do
					if entityA == u.entity or entityB == u.entity then
						v.life = 0
					end
				end
			end
		end
		for i,v in pairs(_boss.sight_shots) do
			if entityA == v.entity or entityB == v.entity then
				if	_boss.state == _boss.states.chase_player then
					_boss.change_state(_boss.states.chase_memory)
				end
				v.life = 0
				return
			end
		end
		for i,v in pairs(_enemy.enemies) do
			if v.enemy_col.entity==entityA or v.enemy_col.entity==entityB then
				if v.enemy_col.entity==entityA then object=entityB else object=entityA end
				if player.entity.enemy_col.entity==object then
					local Ax, Ay, Az=E.get_entity_position(v.pivot.entity)
					local Bx, By, Bz=E.get_entity_position(player.entity.pivot.entity)
					local dx=Ax-Bx
					local dz=Az-Bz
					local dh=math.sqrt(dx^2+dz^2)
					v.pivot.pos[1]=Ax+(dx/dh)*d
					v.pivot.pos[3]=Az+(dz/dh)*d
					return
				else
					for j, u in pairs(_enemy.enemies) do
						if u.enemy_col.entity==object then 
							local Ax, Ay, Az=E.get_entity_position(v.pivot.entity)
							local Bx, By, Bz=E.get_entity_position(u.pivot.entity)
							local dx=Ax-Bx
							local dz=Az-Bz
							local dh=math.sqrt(dx^2+dz^2)
							v.pivot.pos[1]=Ax+(dx/dh)*d
							v.pivot.pos[3]=Az+(dz/dh)*d
							u.pivot.pos[1]=Bx-(dx/dh)*d
							u.pivot.pos[3]=Bz-(dz/dh)*d
							return
						end
					end
				end
			end
			if entityA == v.frame.entity or entityB == v.frame.entity then
				if entityA==v.frame.entity then object=entityB else object=entityA end
				local vx, vy, vz=E.get_entity_z_vector(object)
				local lx, ly, lz=E.get_entity_position(v.pivot.entity)
				if vz<0.01 and vz>-0.01 then
					if px<lx then v.pivot.pos[1] = lx+d else v.pivot.pos[1] = lx-d end
				else
					if pz<lz then v.pivot.pos[3] = lz+d else v.pivot.pos[3] = lz-d end
				end
				_enemy.change_state(v, _enemy.states.alert)
			end
		end
		for index, value in pairs(_sslash.sslashes) do
			if value.entity==entityA or value.entity==entityB then
				if value.state~=2 then return end
				if entityA==value.entity then object=entityB else object=entityA end
				if object==_boss.boss.solid.entity then
					if _boss.state ~= _boss.states.kill and _boss.state ~= _boss.states.fall and _boss.state ~= _boss.states.deactivate then
						_boss.boss.pivot.damage_taken = value.damage
						_boss.change_state(_boss.states.hit)
						_sslash.change_state(value, 3)
					end
					return
				end
				for id, enemy in pairs(_enemy.enemies) do
					if enemy.solid.entity==object then
						if enemy.pivot.state ~= _enemy.states.kill and enemy.pivot.state ~= _enemy.states.fall then
							enemy.pivot.damage_taken = value.damage
							_enemy.change_state(enemy, _enemy.states.hit)
							_sslash.change_state(value, 3)
						end
						return
					end
				end
				local vx, vy, vz=E.get_entity_z_vector(object)
				local lx, ly, lz=E.get_entity_position(value.entity)
				local move_amt = 0.75
				local x,y,z = E.get_entity_position(object)
				local minx,miny,minz,maxx,maxy,maxz = E.get_entity_bound(object)
				local xmove,zmove = maxx-minx, maxz-minz
				if vz<0.01 and vz>-0.01 then
					if px<lx then
						value.hit_x=x+xmove+move_amt
						value.hit_z=lz
						value.burn_rot=90
					else
						value.hit_x=x-xmove-move_amt
						value.hit_z=lz
						value.burn_rot=-90
					end
				else
					if pz<lz then
						value.hit_x=lx
						value.hit_z=z+zmove+move_amt
						value.burn_rot=0
					else
						value.hit_x=lx
						value.hit_z=z-zmove-move_amt
						value.burn_rot=180
					end
				end
				_sslash.change_state(value, 4) 
				return
			end
		end
	end
end

player_last_pos = {600, 300}

function do_frame()
	if game.state == game.states.play then
		local bx,bz = player_last_pos[1], player_last_pos[2]
		local ax,az = player.entity.pivot.pos[1], player.entity.pivot.pos[3]
		if bx~=ax or bz~=az then
			local dist = math.sqrt((ax-bx)^2 + (az-bz)^2)
			player.update_stat("dist_travelled", dist/10)
			player_last_pos[1], player_last_pos[2] = player.entity.pivot.pos[1], player.entity.pivot.pos[3]
		end
		update_radar({before={x=bx, z=bz}; after={x=ax, z=az}})
	end
end

total_dt = 0
total_frames = 0
function do_timer(dt)
	total_dt=total_dt+dt
	total_frames=total_frames+1

	convert_keyboard()
	input.x, input.y=E.get_joystick(0)
	input.joy.x, input.joy.y=E.get_joystick(2)
	if state==1 then
		if not intro.do_state(dt) then state=2 end
	elseif state==2 then
		if not title.do_state(dt) then state=3 end
	elseif state==3 then
		if not game.do_state(dt) then state=4 end
	elseif state==4 then
		if not gameover.do_state(dt) then state=2 end
	end
end
